
#include <learn/AtomEPort__learn__intPort.hpp>
#include <learn/PV__learn__intPort.hpp>

AtomEPort__learn__intPort::AtomEPort__learn__intPort(const string &name, bool hasEarlyUpdate) :
    PortItf(name, ATOM_EXPORT),
    Port(name, ATOM_EXPORT),
    AtomExportPort(name, hasEarlyUpdate),
    PT__learn__intPort(name, ATOM_EXPORT),
    mIsReset(false) {
}

AtomEPort__learn__intPort::~AtomEPort__learn__intPort(){
}
